Subject: dictionary interface

From: "Lionel Bonnetier" <[email-masked]>
Date: Sat, 5 Jan 2002 09:58:00 +0100

Hello Lojbanistan

Popping in again after months (years?) away.

Struggling with the various word lists, I've resolved to
make a small GUI lookup utility to search for gismu, rafsi,
cmavo, lujvo on a single query interface. I know there
are parsers and glossers existing already, but my aim is
to have a little window you keep in a corner of the screen
while reading and writing in Lojban on other windows.
Maybe I haven't searched enough and someone made something
such already? If not, I welcome all suggestions and hints.
My current design displays entries with headword, rafsi,
English clue, gloss, definition, additional comments. The
dictionary database I compiled has about 7800 entries
(gismu+cmavo+lujvo). I don't have enough knowlege in
cross-platform GUI programming (tcl/tk, qlib, etc) so I'll
stay stuck in ms windows for now, sorry... :(

~lionel